| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
GlsMovingEye::MoveParms_t Struct Reference

Type to store eyepoint movement parameters. More...

`#include <gls_moving_eye.h>`

Inheritance diagram for GlsMovingEye::MoveParms_t:

## Public Member Functions
| MoveParms_t (bool storeHistory, double moveTime, GlsMovingEye *movingEye, GlsEyePoint *targetEye)
Public Member Functions inherited from GlsMovingEye::EyeState_t
| EyeState_t ()
| EyeState_t (GlsMovingEye *movingEye, GlsEyePoint *targetEye)
Vector | Direction ()

## Public Attributes
bool | addToHistory
| If true, will be added to eyepoint movement history.
double | time
| The amount of time to move in seconds.
std::string | qualifiedEyeName
| The name of the eyepoint object to move to.
Public Attributes inherited from GlsMovingEye::EyeState_t
Vector | location
| Location of the eyepoint in logical units.
bool | orthographic
| True if orthographic projection, else perspective projection.
double | FOV
| Field of view of eyepoint in Degrees, if fovIsHorizontal is true, this is horizontal.
double | otherFOV
| Field of view for the other direction, based on fovIsHorizontal.
bool | fovIsHorizontal
| True if field of view measurement is along horizonal axis, else along vertical axis.
double | orthoSize
| Size of ortho projection in logical units, if fovIsHorizontal is true, this is horizontal.
double | otherOrthoSize
| Size of ortho projection for the other direction, based on fovIsHorizontal.
double | farClip
| Distance from eyepoint to near clipping plane.
double | nearClip
| Distance from eyepoint to far clipping plane.
FovConstraintType | horizontalConstraint
| The type of constraint in the horizontal direction.
FovConstraintType | verticalConstraint
| The type of constraint in the vertical direction.
Vector | viewVectors [3]
| 3 vectors used to set the orientation of the eyepoint.

## Detailed Description

Type to store eyepoint movement parameters.

## Constructor & Destructor Documentation

## ◆ MoveParms_t()

MoveParms_t | ( | bool | storeHistory,
|  | double | moveTime,
|  | GlsMovingEye * | movingEye,
|  | GlsEyePoint * | targetEye
| ) |  |

Constructor

Parameters

  storeHistory | If true, will be added to eyepoint movement history.
  moveTime | The amount of time to move in seconds.
  movingEye | The eye to move.
  targetEye | The eye to move to.

The documentation for this struct was generated from the following file:

- gls_moving_eye.h